org.mariadb.jdbc.internal.com.send

## Class SendHandshakeResponsePacket

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.SendHandshakeResponsePacket

    public class SendHandshakeResponsePacket
    extends Object

See https://mariadb.com/kb/en/library/connection/#client-handshake-response for reference.

### Constructor Summary

Constructors
Constructor and Description
`SendHandshakeResponsePacket()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `send(PacketOutputStream pos, String username, String password, HostAddress currentHost, String database, long clientCapabilities, long serverCapabilities, byte serverLanguage, byte packetSeq, Options options, ReadInitialHandShakePacket greetingPacket)` Send handshake response packet.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendHandshakeResponsePacket

    public SendHandshakeResponsePacket()

### Method Detail

#### send

    public static void send(PacketOutputStream pos,
                            String username,
                            String password,
                            HostAddress currentHost,
                            String database,
                            long clientCapabilities,
                            long serverCapabilities,
                            byte serverLanguage,
                            byte packetSeq,
                            Options options,
                            ReadInitialHandShakePacket greetingPacket)
                     throws IOException

Send handshake response packet.

Parameters:
  `pos` - output stream
  `username` - user name
  `password` - password
  `currentHost` - current hostname
  `database` - database name
  `clientCapabilities` - client capabilities
  `serverCapabilities` - server capabilities
  `serverLanguage` - server language (utf8 / utf8mb4 collation)
  `packetSeq` - packet sequence
  `options` - user options
  `greetingPacket` - server handshake packet information
Throws:
  `IOException` - if socket exception occur
See Also:
  protocol documentation